Go Job Hunting at the LQ Job Marketplace
Go Back > Forums > Linux Forums > Linux - Software > Linux - Kernel
User Name
Linux - Kernel This forum is for all discussion relating to the Linux kernel.


  Search this Thread
Old 06-10-2009, 04:44 PM   #1
Registered: Jan 2005
Location: san salvador, el salvador
Distribution: Debian Stable, UbuntuStudio Karmic Koala
Posts: 190

Rep: Reputation: 30
lenny crashed after upgrade sid's libc6

Hi, I'm currently running Debian lenny, after upgrade libc6 manually-using the sid repo- my X crashed, also at startup packages such as samba, saslauthd, apache2 gave me this error: "xargs.c:450:main:Assertion 'bc_ctl-arg-max<=(131072-2048)' , so, all i got is the command line to try to debug this. my questions are: 1. what logs files should I review before do anything? 2. I can't use the online repos, so use aptitude-update or something like this is not valid for me, so, is there a log file for dpkg?. Regards.
Old 06-10-2009, 04:58 PM   #2
LQ Guru
Registered: Oct 2005
Location: Willoughby, Ohio
Distribution: linuxdebian
Posts: 7,232
Blog Entries: 5

Rep: Reputation: 190Reputation: 190
debug it..

it sounds to me like you broke the libc6 dependecy for all those apps by installing libc6-2.9-13 (sid) when those apps were probably compiled against libc6-2.7-18 (stable)

you can download the Lenny version here..

for the i386 version of the deb from lenny..

best of luck

Last edited by farslayer; 06-10-2009 at 05:01 PM.


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
how to upgrade libc6?i am not able to install vkalasa Linux - Software 7 06-11-2009 12:15 AM
Hardy package upgrade libc6-686 broken Spearhead40 Ubuntu 2 04-05-2008 11:17 AM
upgrade hangs on libc6 hazelett Debian 4 01-03-2008 08:51 PM
Can I roll back a failed libc6 upgrade? davcefai Debian 7 10-21-2007 03:04 AM
libc6 upgrade error SiQDiZ Debian 3 08-12-2004 11:21 AM

All times are GMT -5. The time now is 12:46 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration